Skip to main content
GET
/
api
/
modelServing
/
v1
/
modelDeployments
/
{modelDeploymentId}
/
credentials
Retrieve all temporary credentials for a specific Model Deployment
curl --request GET \
  --url https://api.example.com/api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "items": [
    {
      "credentials": {},
      "expirationTime": "2023-07-15T14:35:47.89Z",
      "operationType": "INVOKE_ENDPOINT"
    }
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

modelDeploymentId
string
required

The id of the Model Deployment from which to retrieve credentials

Response

A non-paginated list of all Model Deployment credentials for a specific Model Deployment.

items
object[]
required

The Model Deployments Credentials in the list